View Issue Details

IDProjectCategoryView StatusLast Update
0003462unrealircdpublic2007-07-21 12:58
ReporterstskeepsAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003462: Implement two user interfaces for configure for U4
Description./configure and ./configure -advanced, which asks all the questions, and ./configure which defaults to most questions.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003417 closed TODO list for Unreal4.0 

Activities

stskeeps

2007-07-20 07:47

reporter   ~0014533

[14:39] <Stskeeps> If you answer 'no' here, your server will be unable
[14:39] <Stskeeps> to parse IPV6 addresses (e.g. for CIDR bans) [y] ->
[14:39] <Stskeeps> for example isn't needed to ask for most users
[14:40] <Stskeeps> Please enter the maximum length of nicknames?
[14:40] <Stskeeps> [31] ->
[14:40] <Stskeeps> Please enter the maximum length of channel names?
[14:40] <Stskeeps> [64] ->
[14:40] <Stskeeps> Please enter the maximum number of mode changes in one line?
[14:40] <Stskeeps> [20] ->
[14:40] <Stskeeps> Please enter the maximum length of an ident (username)?
[14:40] <Stskeeps> Please enter the maximum length of a quit message?
[14:40] <Stskeeps> Please enter the maximum length of a channel topic?
[14:40] <Stskeeps> Please enter the maximum length of a kick message?
[14:40] <Stskeeps> Please enter the maximum length of a GECOS (real name)?
[14:40] <Stskeeps> Please enter the maximum length of an away message?
All the above in -advanced only - in non-advanced, just resolve to default

2007-07-21 11:57

 

patchname.patch (6,872 bytes)

2007-07-21 12:24

 

configure.patch (7,288 bytes)

2007-07-21 12:33

 

configure2.patch (7,880 bytes)

Stealth

2007-07-21 12:34

reporter   ~0014544

Last edited: 2007-07-21 12:36

Perhaps with the "Maximum Length" questions, Unreal should not allow more than the protocol max to prevent messages from being >512 (with everything)...

EDIT: +they need to check each other (like ident vs quit/away/etc)

2007-07-21 12:52

 

configure3.patch (5,862 bytes)

stskeeps

2007-07-21 12:58

reporter   ~0014545

Patched in r70

Issue History

Date Modified Username Field Change
2007-07-20 07:03 stskeeps New Issue
2007-07-20 07:03 stskeeps QA => Not touched yet by developer
2007-07-20 07:03 stskeeps U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-07-20 07:03 stskeeps U4: Upstream notification of bug => U4-only issue
2007-07-20 07:03 stskeeps U4: Contributor working on this => None
2007-07-20 07:03 stskeeps Status new => acknowledged
2007-07-20 07:03 stskeeps Relationship added child of 0003417
2007-07-20 07:46 stskeeps Status acknowledged => assigned
2007-07-20 07:46 stskeeps Assigned To => stskeeps
2007-07-20 07:46 stskeeps U4: Contributor working on this None => daltocli
2007-07-20 07:47 stskeeps Note Added: 0014533
2007-07-21 11:57 daltocli File Added: patchname.patch
2007-07-21 12:24 daltocli File Added: configure.patch
2007-07-21 12:33 daltocli File Added: configure2.patch
2007-07-21 12:34 Stealth Note Added: 0014544
2007-07-21 12:36 Stealth Note Edited: 0014544
2007-07-21 12:52 daltocli File Added: configure3.patch
2007-07-21 12:58 stskeeps QA Not touched yet by developer => Fixed by developer, needs QA testing
2007-07-21 12:58 stskeeps Status assigned => resolved
2007-07-21 12:58 stskeeps Fixed in Version => 4.0-devel
2007-07-21 12:58 stskeeps Resolution open => fixed
2007-07-21 12:58 stskeeps Note Added: 0014545
2007-07-22 14:04 owine QA Fixed by developer, needs QA testing => QA has accepted the fix